### INTRODUCTION

Markdown specifications aren't clear about the interaction between a hard
line-break and a heading, so implementations differ. For compatibility, you
should add an empty line before and after the heading.  If you don't then
hard line-breaks can be used to split headings over multiple lines as shown
by the tests below.

See also [heading examples](heading.md).

### DESCRIPTION

See the [hard line-break test file](br_test.md).

### TESTS

<!--
white space in this file is integral to the test
-->

-------------------------------------------------------------------------------

**TEST atx-style headings ...**

# H1  
h1

## H2  
h2

### H3  
h3

**RESULT** there are three headings comprising two lines each.

-------------------------------------------------------------------------------

**TEST settext-style headings ...**

H1  
====
h1

H2  
----
h2

**RESULT** there are two headings comprising two lines each.

-------------------------------------------------------------------------------

### PASS if all RESULT lines above are true
